import { jsx } from "react/jsx-runtime";
import { SmileyMehIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SmileyMeh = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "SmileyMeh", ...props, children: /* @__PURE__ */ jsx(SmileyMehIcon, { weight: variant }) });
  }
);
SmileyMeh.displayName = "SmileyMeh";
Object.assign(SmileyMeh, { isGdsIcon: true });
export {
  SmileyMeh
};
